#include <stdio.h>
#include <stdlib.h>
#include <string.h>

using namespace std;

int main()
{
    char a[20],b[20],c[20],x[40],y[60];
    int l,i,j;
    scanf("%s",&a);
    scanf("%s",&b);
    scanf("%s",&c);
    if(strcmp(a,b)>0)
    {
        for(i=0;i<strlen(a);i++)
            x[i]=a[i];
        for(j=0;j<strlen(b);j++)
            x[i+j]=b[j];
    }
    else
    {
        for(i=0;i<strlen(b);i++)
            x[i]=b[i];
        for(j=0;j<strlen(a);j++)
            x[i+j]=a[j];
    }
    l=strlen(a)+strlen(b);
    if(strcmp(c,x)>0)
    {
        for(i=0;i<strlen(c);i++)
            y[i]=c[i];
        for(j=0;j<l;j++)
            y[i+j]=x[j];
    }
    else
    {
        for(i=0;i<l;i++)
            y[i]=x[i];
        for(j=0;j<strlen(c);j++)
            y[i+j]=c[j];
    }
    for(i=0;i<l+strlen(c);i++)
        printf("%c",y[i]);
    return 0;
}